Empty RULE parameter in GetLEgendGraphic returns all rules even if a rule with empty name exists

2014-01-11 03:23 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 17928

Description

Given this rule fragment:

<se:Rule><se:Name/><se:Description><se:Title>zona_desc is

''</se:Title></se:Description><ogc:Filter><ogc:PropertyIsEqualTo><ogc:PropertyName>zona_desc</ogc:PropertyName><ogc:Literal/></ogc:PropertyIsEqualTo></ogc:Filter><se:PolygonSym

teral/></ogc:PropertyIsEqualTo></ogc:Filter><se:PolygonSymbolizer><se:Fill><se:SvgParameter

name="fill">#5e2b00</se:SvgParameter></se:Fill><se:Stroke><se:SvgParameter

name="stroke">#000000</se:SvgParameter><se:SvgParameter

name="stroke-width">0.26</se:SvgParameter></se:Stroke></se:PolygonSymbolizer></se:Rule>

and the call fragment:

REQUEST=GetLegendGraphic&FORMAT=image/png&RULE=

GetLegendGraphic returns all rules instead of the queried one.

Expected behaviour would be to return legend graphic for the rule with the empty name.

I've checked the code and I see checks for rule.isEmpty() that exclude rule filtering.

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#3 - 2018-08-23 08:20 PM - Giovanni Manghi

- Description updated
Hi Alessandro, this is still valid? thanks!

#4 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
